(define (problem rcll-production-005-durative)
	(:domain rcll-production-durative)
    
  (:objects
    R-1 - robot
    R-2 - robot
    o1 - order
    wp1 - workpiece
    cg1 cg2 cg3 cb1 cb2 cb3 - cap-carrier
    C-BS C-CS1 C-CS2 C-DS - mps
    CYAN - team-color
  )
   
  (:init
   (mps-type C-BS BS)
   (mps-type C-CS1 CS)
   (mps-type C-CS2 CS) 
   (mps-type C-DS DS)
   (location-free START INPUT)
   (location-free C-BS INPUT)
   (location-free C-BS OUTPUT)
   (location-free C-CS1 INPUT)
   (location-free C-CS1 OUTPUT)
   (location-free C-CS2 INPUT)
   (location-free C-CS2 OUTPUT)
   (location-free C-DS INPUT)
   (location-free C-DS OUTPUT)
   (cs-can-perform C-CS1 CS_RETRIEVE)
   (cs-can-perform C-CS2 CS_RETRIEVE)
   (cs-free C-CS1)
   (cs-free C-CS2)

   (wp-base-color wp1 BASE_NONE)
   (wp-cap-color wp1 CAP_NONE)
   (wp-ring1-color wp1 RING_NONE)
   (wp-ring2-color wp1 RING_NONE)
   (wp-ring3-color wp1 RING_NONE)
   (wp-unused wp1)
   (robot-waiting R-1)
   (robot-waiting R-2)

   (mps-state C-BS IDLE)
   (mps-state C-CS1 IDLE)
   (mps-state C-CS2 IDLE)
   (mps-state C-DS IDLE)

   (wp-cap-color cg1 CAP_GREY)
   (wp-cap-color cg2 CAP_GREY)
   (wp-cap-color cg3 CAP_GREY)
   (wp-on-shelf cg1 C-CS1 LEFT)
   (wp-on-shelf cg2 C-CS1 MIDDLE)
   (wp-on-shelf cg3 C-CS1 RIGHT)

   (wp-cap-color cb1 CAP_BLACK)
   (wp-cap-color cb2 CAP_BLACK)
   (wp-cap-color cb3 CAP_BLACK)
   (wp-on-shelf cb1 C-CS2 LEFT)
   (wp-on-shelf cb2 C-CS2 MIDDLE)
   (wp-on-shelf cb3 C-CS2 RIGHT)
   (order-complexity o1 c0)
   (order-base-color o1 BASE_SILVER)
   (order-cap-color o1 CAP_BLACK)
   (order-gate o1 GATE-1)



   (= (path-length C-BS INPUT C-BS OUTPUT) 2.475857)
   (= (path-length C-BS INPUT C-CS1 INPUT) 3.380030)
   (= (path-length C-BS INPUT C-CS1 OUTPUT) 5.700143)
   (= (path-length C-BS INPUT C-CS2 INPUT) 10.304474)
   (= (path-length C-BS INPUT C-CS2 OUTPUT) 10.257632)
   (= (path-length C-BS INPUT C-DS INPUT) 5.205381)
   (= (path-length C-BS INPUT C-DS OUTPUT) 7.265608)
   (= (path-length C-BS OUTPUT C-BS INPUT) 2.475857)
   (= (path-length C-BS OUTPUT C-CS1 INPUT) 3.765422)
   (= (path-length C-BS OUTPUT C-CS1 OUTPUT) 6.085535)
   (= (path-length C-BS OUTPUT C-CS2 INPUT) 10.689865)
   (= (path-length C-BS OUTPUT C-CS2 OUTPUT) 10.643023)
   (= (path-length C-BS OUTPUT C-DS INPUT) 5.590774)
   (= (path-length C-BS OUTPUT C-DS OUTPUT) 7.651000)
   (= (path-length C-CS1 INPUT C-BS INPUT) 3.380030)
   (= (path-length C-CS1 INPUT C-BS OUTPUT) 3.765422)
   (= (path-length C-CS1 INPUT C-CS1 OUTPUT) 3.176917)
   (= (path-length C-CS1 INPUT C-CS2 INPUT) 7.781248)
   (= (path-length C-CS1 INPUT C-CS2 OUTPUT) 7.734406)
   (= (path-length C-CS1 INPUT C-DS INPUT) 4.808893)
   (= (path-length C-CS1 INPUT C-DS OUTPUT) 6.479589)
   (= (path-length C-CS1 OUTPUT C-BS INPUT) 5.700143)
   (= (path-length C-CS1 OUTPUT C-BS OUTPUT) 6.085535)
   (= (path-length C-CS1 OUTPUT C-CS1 INPUT) 3.176917)
   (= (path-length C-CS1 OUTPUT C-CS2 INPUT) 5.977337)
   (= (path-length C-CS1 OUTPUT C-CS2 OUTPUT) 6.439718)
   (= (path-length C-CS1 OUTPUT C-DS INPUT) 4.714199)
   (= (path-length C-CS1 OUTPUT C-DS OUTPUT) 3.833396)
   (= (path-length C-CS2 INPUT C-BS INPUT) 10.304474)
   (= (path-length C-CS2 INPUT C-BS OUTPUT) 10.689865)
   (= (path-length C-CS2 INPUT C-CS1 INPUT) 7.781249)
   (= (path-length C-CS2 INPUT C-CS1 OUTPUT) 5.977338)
   (= (path-length C-CS2 INPUT C-CS2 OUTPUT) 4.538796)
   (= (path-length C-CS2 INPUT C-DS INPUT) 7.862290)
   (= (path-length C-CS2 INPUT C-DS OUTPUT) 6.817582)
   (= (path-length C-CS2 OUTPUT C-BS INPUT) 10.257632)
   (= (path-length C-CS2 OUTPUT C-BS OUTPUT) 10.643023)
   (= (path-length C-CS2 OUTPUT C-CS1 INPUT) 7.734407)
   (= (path-length C-CS2 OUTPUT C-CS1 OUTPUT) 6.439718)
   (= (path-length C-CS2 OUTPUT C-CS2 INPUT) 4.538796)
   (= (path-length C-CS2 OUTPUT C-DS INPUT) 10.192242)
   (= (path-length C-CS2 OUTPUT C-DS OUTPUT) 9.147534)
   (= (path-length C-DS INPUT C-BS INPUT) 5.205381)
   (= (path-length C-DS INPUT C-BS OUTPUT) 5.590774)
   (= (path-length C-DS INPUT C-CS1 INPUT) 4.808893)
   (= (path-length C-DS INPUT C-CS1 OUTPUT) 4.714199)
   (= (path-length C-DS INPUT C-CS2 INPUT) 7.862290)
   (= (path-length C-DS INPUT C-CS2 OUTPUT) 10.192242)
   (= (path-length C-DS INPUT C-DS OUTPUT) 3.223002)
   (= (path-length C-DS OUTPUT C-BS INPUT) 7.265608)
   (= (path-length C-DS OUTPUT C-BS OUTPUT) 7.651000)
   (= (path-length C-DS OUTPUT C-CS1 INPUT) 6.479589)
   (= (path-length C-DS OUTPUT C-CS1 OUTPUT) 3.833396)
   (= (path-length C-DS OUTPUT C-CS2 INPUT) 6.817582)
   (= (path-length C-DS OUTPUT C-CS2 OUTPUT) 9.147533)
   (= (path-length C-DS OUTPUT C-DS INPUT) 3.223002)
   (= (path-length START INPUT C-BS INPUT) 1.379213)
   (= (path-length START INPUT C-BS OUTPUT) 3.202024)
   (= (path-length START INPUT C-CS1 INPUT) 2.758820)
   (= (path-length START INPUT C-CS1 OUTPUT) 5.078932)
   (= (path-length START INPUT C-CS2 INPUT) 9.683263)
   (= (path-length START INPUT C-CS2 OUTPUT) 9.636421)
   (= (path-length START INPUT C-DS INPUT) 4.584171)
   (= (path-length START INPUT C-DS OUTPUT) 6.644398))

  (:goal (order-fulfilled o1))
)
